#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xc86a3aa9, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x86b61b46, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xb5f158df, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x369132bd, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x16658c1c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x9d7bfef8, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x591257a6, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x526ae207, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x8aa4a6ca, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x79c592ef, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x70b21e96, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xc24a9c82, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x9daa3832, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x185ba3a2, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x8be7a72a, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xb070c122, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xcf4220d1, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x571cc564, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xf47f1bfd, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x2121e1a4, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xaf9c9681, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x81325ac5, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x86fec54b, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x6df0b650, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x27426120, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xc906a6a9, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x2633b371, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x61c4e7f4, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xdcf92210, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0x47ec1c60, "regmap_raw_write" },
	{ 0x2be46af9, "regmap_raw_read" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d411e08, "regmap_read" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xc591708f, "regmap_update_bits_base" },
	{ 0x1c61fd55, "regmap_write" },
	{ 0x249d5f6a, "regmap_multi_reg_write" },
	{ 0xa32d1b6, "regmap_bulk_read" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x21dafcc8, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd42d177e, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfb36b499, "devm_kmalloc" },
	{ 0x2eec2483, "devm_kfree" },
	{ 0xf411d1da, "seq_lseek" },
	{ 0x9dbc5c28, "seq_read" },
	{ 0xcafe24ba, "single_release" },
	{ 0x29522604, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x23dd60eb, "debugfs_create_dir" },
	{ 0xa1858e42, "debugfs_create_bool" },
	{ 0x981199db, "debugfs_create_x32" },
	{ 0x4ffee63, "debugfs_create_file_full" },
	{ 0x7d2ca402, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x5d001830, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ADA90915DF3710A0C45C3EA");

MODULE_INFO(suserelease, "SLFO-1.2");
