#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x329844e3, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x7357ad9a, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x2402ced7, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x060dc152, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x688730b3, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x063e116d, "");
SYMBOL_CRC(dfl_driver_unregister, 0xc8bfc548, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x0825aeb8, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xc2cc1027, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x598eda44, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x4fc84181, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xc62b9d9f, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xcf65ec5d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0xd8f14434, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x25d5f9fb, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xc7245718, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xae575da1, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x6980eb55, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xb1c68a23, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xefa9553f, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x62423ecc, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xfef51d6c, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xb8a0debb, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x95125fdd, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xdbc62f4e, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x631e6284, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x824b70e3, "try_module_get" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa93d4f30, "module_put" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3e876ed2, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x38130b, "driver_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x6573f300, "ida_free" },
	{ 0x7995f115, "cdev_init" },
	{ 0x2f5adcfc, "cdev_add" },
	{ 0x4e4ba41a, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1828e829, "get_device" },
	{ 0xfb36b499, "devm_kmalloc" },
	{ 0x931bef48, "put_device" },
	{ 0x77978bfd, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb755f266, "__devm_request_region" },
	{ 0xe6cbf353, "devm_ioremap" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x776dc7c8, "bus_register" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x8e7fdb20, "bus_unregister" },
	{ 0x2eec2483, "devm_kfree" },
	{ 0x7dc9f074, "device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd7ee7fb8, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8b8c0ef8, "device_initialize" },
	{ 0x4aa3a83b, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7c5be6a4, "device_add" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xdfefd237, "platform_device_del" },
	{ 0x1d266c63, "platform_device_add" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x2120a7ad, "platform_device_put" },
	{ 0xd3200e6f, "device_for_each_child" },
	{ 0xa48aba7c, "fpga_region_unregister" },
	{ 0xdb0c4468, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x41157f9b, "_dev_info" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4f96e649, "devm_ioremap_resource" },
	{ 0x9fa3ff5a, "__fpga_region_register" },
	{ 0xbf9b16f3, "devm_iounmap" },
	{ 0x48e16710, "__devm_release_region" },
	{ 0xaab34004, "platform_device_alloc" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "SLFO-1.2");
