#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb9c01e42, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd4542184, "hid_open_report" },
	{ 0x2933d02e, "hid_hw_start" },
	{ 0x6090a72c, "hid_is_usb" },
	{ 0xf39adb8b, "usb_free_urb" },
	{ 0x359a95e6, "hid_hw_stop" },
	{ 0x11be002, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3efd9fe, "hid_unregister_driver" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4d5302f3, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd34340, "input_mt_report_slot_state" },
	{ 0xc74a4ed0, "input_mt_sync_frame" },
	{ 0x62ce79cc, "hid_hw_close" },
	{ 0x6573f300, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcdcf866, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x7efbf027, "devm_led_classdev_register_ext" },
	{ 0xb7e0b2cd, "input_set_capability" },
	{ 0xac736aa0, "input_ff_create_memless" },
	{ 0x21dafcc8, "devm_kasprintf" },
	{ 0x63509916, "devm_power_supply_register" },
	{ 0xf4721faf, "power_supply_powers" },
	{ 0x12c21290, "hid_hw_open" },
	{ 0xce9a4d7a, "hid_validate_values" },
	{ 0x81d7853, "input_mt_init_slots" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8f757c40, "__hid_register_driver" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x41157f9b, "_dev_info" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x1c9e8691, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x92ee1bf1, "hid_hw_output_report" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcd3a896, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xfb36b499, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x87f821e1, "input_register_device" },
	{ 0x97631671, "input_set_abs_params" },
	{ 0x8f5bcb04, "input_alloc_absinfo" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xda0238a0, "power_supply_get_drvdata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "D194E8A14A6E18D98B897F7");

MODULE_INFO(suserelease, "SLFO-1.2");
