#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x08ca2d44, "");
SYMBOL_CRC(mma9551_write_config_byte, 0xc4ddc756, "");
SYMBOL_CRC(mma9551_read_status_byte, 0xe5a5ea10, "");
SYMBOL_CRC(mma9551_read_config_word, 0xf1d703f8, "");
SYMBOL_CRC(mma9551_write_config_word, 0xa1d635f2, "");
SYMBOL_CRC(mma9551_read_status_word, 0x9d3cf9d2, "");
SYMBOL_CRC(mma9551_read_config_words, 0x815040be, "");
SYMBOL_CRC(mma9551_read_status_words, 0x6550da6f, "");
SYMBOL_CRC(mma9551_write_config_words, 0xe8d26c23, "");
SYMBOL_CRC(mma9551_update_config_bits, 0xc78e8a75, "");
SYMBOL_CRC(mma9551_gpio_config, 0x91e5a78e, "");
SYMBOL_CRC(mma9551_read_version, 0x29f9ceec, "");
SYMBOL_CRC(mma9551_set_device_state, 0xfe31d4da, "");
SYMBOL_CRC(mma9551_set_power_state, 0xea3bae8e, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0xcbca320f, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x5ba7824a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbe8d1b7e, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xec09ad42, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9d755aad, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF732B0FB83CD26C976C38B");

MODULE_INFO(suserelease, "SLFO-1.2");
