#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xc464e0fa, "");
SYMBOL_CRC(gspca_dev_probe2, 0x672344d2, "");
SYMBOL_CRC(gspca_dev_probe, 0xd3039e19, "");
SYMBOL_CRC(gspca_disconnect, 0xcf7bc6f9, "");
SYMBOL_CRC(gspca_suspend, 0x9f1339ad, "");
SYMBOL_CRC(gspca_resume, 0xb54b14c5, "");
SYMBOL_CRC(gspca_expo_autogain, 0x2fd1b680, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x71a3b913, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdca1ad55, "vb2_queue_error" },
	{ 0xd614e97a, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb9c01e42, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2d2efb4d, "__v4l2_ctrl_s_ctrl" },
	{ 0xebded6d8, "vb2_ioctl_dqbuf" },
	{ 0xb7efd59e, "usb_free_coherent" },
	{ 0x4cf40dc8, "vb2_ioctl_create_bufs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x69870828, "vb2_buffer_done" },
	{ 0xdf2d1619, "vb2_plane_vaddr" },
	{ 0x3eaf9e50, "v4l2_ctrl_subscribe_event" },
	{ 0x196ece1, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf1b569ad, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x21452683, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x30f1552b, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x49fa1915, "vb2_vmalloc_memops" },
	{ 0xf3692780, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8e15c00, "vb2_fop_read" },
	{ 0xa202af1e, "v4l2_device_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x635b902f, "__video_register_device" },
	{ 0x44f5eea3, "vb2_ops_wait_prepare" },
	{ 0x8fb444fa, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x230b33e5, "vb2_ioctl_streamon" },
	{ 0x58215dae, "vb2_fop_poll" },
	{ 0xf8c40de3, "v4l2_ctrl_g_ctrl" },
	{ 0xa572d4df, "v4l2_ctrl_handler_free" },
	{ 0x3f16e01, "v4l2_device_unregister" },
	{ 0xef560fc5, "param_ops_int" },
	{ 0xa01fb0d7, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa72f5483, "v4l2_event_unsubscribe" },
	{ 0x8ada97dd, "vb2_ioctl_reqbufs" },
	{ 0x2fa14a07, "vb2_queue_init" },
	{ 0xd8e54275, "input_allocate_device" },
	{ 0x11be002, "usb_alloc_urb" },
	{ 0x75461bce, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf39adb8b, "usb_free_urb" },
	{ 0xbe8d551c, "v4l2_device_put" },
	{ 0x87f09312, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x285fefde, "usb_alloc_coherent" },
	{ 0x1b341096, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe9830ded, "usb_ifnum_to_if" },
	{ 0x860748a3, "vb2_ops_wait_finish" },
	{ 0x226d111, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c9d8169, "vb2_ioctl_querybuf" },
	{ 0x7e561e79, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2d9f5b, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x3e68de11, "usb_clear_halt" },
	{ 0x9b252851, "v4l2_ctrl_handler_setup" },
	{ 0x87f821e1, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90624474, "video_devdata" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videobuf2-v4l2,usbcore,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "97CC365C5DA7A87CE46A265");

MODULE_INFO(suserelease, "SLFO-1.2");
