#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x0ce876e7, "_gpl");
SYMBOL_CRC(pds_client_register, 0xad309748, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x82215893, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x6006ca49, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x144d2834, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87cae321, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x335cd2fa, "devl_lock" },
	{ 0x8857c206, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x13c3e409, "debugfs_create_u16" },
	{ 0xb954a89d, "__pci_register_driver" },
	{ 0x812d5614, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xc72e4f76, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xc394dea, "devlink_alloc_ns" },
	{ 0xb3aa2f6b, "pci_sriov_get_totalvfs" },
	{ 0xf411d1da, "seq_lseek" },
	{ 0x6d1a6247, "pci_reset_function_locked" },
	{ 0x9c74cd2c, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xeed95d16, "pci_irq_vector" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xc8956f3c, "pci_unregister_driver" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee760785, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1dd8a8fb, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8aa96a, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x931bef48, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa6e5c11c, "const_pcpu_hot" },
	{ 0x982b649c, "debugfs_create_regset32" },
	{ 0x41157f9b, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6844e37d, "devl_health_reporter_create" },
	{ 0xd21a1d39, "pci_iov_vf_id" },
	{ 0xa3e19d77, "debugfs_lookup" },
	{ 0x62e53178, "pci_iomap_range" },
	{ 0x760ea84f, "devlink_flash_update_timeout_notify" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x71b2e1cb, "init_net" },
	{ 0xa1858e42, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfba39768, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3f142da3, "dma_alloc_attrs" },
	{ 0xd42d177e, "debugfs_remove" },
	{ 0xf0b3c712, "seq_putc" },
	{ 0x6573f300, "ida_free" },
	{ 0x4c8df880, "devl_params_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7d1588a6, "debugfs_create_ulong" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2ec8df48, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5e22ea84, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x54bce919, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x899f1976, "debugfs_create_u32" },
	{ 0x61583212, "devl_params_unregister" },
	{ 0xc7a8786, "pci_reset_function" },
	{ 0x86090f13, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe63ce03d, "dma_set_coherent_mask" },
	{ 0x9dbc5c28, "seq_read" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0xcec7a78e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x981199db, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x332fb603, "pci_release_regions" },
	{ 0x27376365, "pcie_print_link_status" },
	{ 0x3fab3399, "pci_dev_get" },
	{ 0x21e1f7ea, "seq_write" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5d001830, "seq_printf" },
	{ 0xfb6b6d40, "devlink_priv" },
	{ 0xe1312d00, "pci_disable_sriov" },
	{ 0x4ffee63, "debugfs_create_file_full" },
	{ 0x23a018d6, "pci_disable_device" },
	{ 0xcafe24ba, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x9dd61391, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7d2ca402, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xb8e7398e, "devl_register" },
	{ 0x23dd60eb, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xf21e0f06, "pci_free_irq_vectors" },
	{ 0xbc4f26b7, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa37fa7f7, "pci_iov_get_pf_drvdata" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x98c178d2, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6ce71f70, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9f4d5e96, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xadb41d4, "auxiliary_device_init" },
	{ 0x73d2af5f, "pci_iomap" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2534F3EFF7F6B61C3DCCB75");

MODULE_INFO(suserelease, "SLFO-1.2");
