#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x6d351160, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x727328b9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3f142da3, "dma_alloc_attrs" },
	{ 0xf5a6f32d, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x24d6213a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7a9b38c, "page_pool_put_unrefed_netmem" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37f77fbd, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfd49af37, "pci_restore_state" },
	{ 0x630c00af, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x99af2db8, "mlxsw_core_ptp_transmitted" },
	{ 0x54bce919, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f150a5a, "__pskb_pull_tail" },
	{ 0x1e9787da, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe63ce03d, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9396c60, "alloc_netdev_dummy" },
	{ 0xcec7a78e, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x332fb603, "pci_release_regions" },
	{ 0xe9820e7e, "page_pool_alloc_pages" },
	{ 0xf7f6220c, "napi_build_skb" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x23a018d6, "pci_disable_device" },
	{ 0x9dd61391, "dma_set_mask" },
	{ 0x5d239fa, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfa6dc7d8, "napi_schedule_prep" },
	{ 0xeaa3b3b8, "napi_consume_skb" },
	{ 0xc2c4ec33, "napi_disable" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf21e0f06, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x3d2e447b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa65e6bce, "pci_cfg_access_unlock" },
	{ 0x9f4d5e96, "pci_enable_device" },
	{ 0x85f0bd89, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x87cae321, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x9d25d5bd, "dma_unmap_page_attrs" },
	{ 0xb954a89d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc72e4f76, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xca1d1e40, "page_pool_destroy" },
	{ 0x608c7b5c, "netif_napi_add_weight_locked" },
	{ 0xeed95d16, "pci_irq_vector" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0xc8956f3c, "pci_unregister_driver" },
	{ 0x9d316978, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x75c58b6b, "mlxsw_core_bus_device_register" },
	{ 0x5ce20c7a, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1a7a8536, "dma_map_page_attrs" },
	{ 0x534600ed, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa5b12bbf, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2bde0022, "dev_set_threaded" },
	{ 0x839e0562, "__pci_reset_function_locked" },
	{ 0x9c7b36f6, "__dma_sync_single_for_cpu" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "SLFO-1.2");
