#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x076b9f66, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x41dd5a76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc4175d0, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb8ec1c2f, "xdp_return_frame_rx_napi" },
	{ 0xda07f73e, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x4996a5e8, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe87ab88, "sock_init_data_uid" },
	{ 0x32789078, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x47291f5b, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xb6e9bce4, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9f38d63d, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x73e5c4a2, "skb_copy_ubufs" },
	{ 0x679fc747, "__skb_get_hash_symmetric_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x907644eb, "___pskb_trim" },
	{ 0x581a6b77, "skb_queue_purge_reason" },
	{ 0xc2c4ec33, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb8bacae, "xdp_rxq_info_unreg" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1e9787da, "__netif_napi_del_locked" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa93d4f30, "module_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5d001830, "seq_printf" },
	{ 0xad9f1a24, "build_skb" },
	{ 0x85f0bd89, "skb_put" },
	{ 0x16e8e1d, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3b7f8586, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x606b3236, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x14c6bd95, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1574f05a, "__folio_put" },
	{ 0x637fec9d, "__put_devmap_managed_folio_refs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3abd58f3, "netif_set_real_num_tx_queues" },
	{ 0x55afe6cb, "netif_set_real_num_rx_queues" },
	{ 0xcdd8b86a, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2f41ebd7, "netdev_state_change" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x50955f7d, "_copy_to_iter" },
	{ 0xc50de900, "iov_iter_advance" },
	{ 0xd0e0d81a, "skb_copy_datagram_iter" },
	{ 0x341b6a5, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4086d58c, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf018d351, "sock_recv_errqueue" },
	{ 0x4f9f3b73, "security_tun_dev_attach" },
	{ 0xb0b28fd2, "xdp_rxq_info_is_reg" },
	{ 0xf143f3ed, "lock_sock_nested" },
	{ 0xf9e3aa18, "sk_attach_filter" },
	{ 0x6d73aea8, "release_sock" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x95e6ffd4, "__xdp_rxq_info_reg" },
	{ 0xfea9af52, "xdp_rxq_info_reg_mem_model" },
	{ 0x608c7b5c, "netif_napi_add_weight_locked" },
	{ 0xf5a6f32d, "napi_enable" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3dd5a4d2, "__skb_flow_dissect" },
	{ 0x8f2910e8, "skb_partial_csum_set" },
	{ 0x7f150a5a, "__pskb_pull_tail" },
	{ 0x6822e627, "_copy_from_iter" },
	{ 0x6176d986, "iov_iter_npages" },
	{ 0xa5627c05, "sock_alloc_send_pskb" },
	{ 0x9e2b2970, "zerocopy_sg_from_iter" },
	{ 0x42e28ad3, "eth_type_trans" },
	{ 0x5040b24f, "skb_copy_datagram_from_iter" },
	{ 0xcc20d157, "do_xdp_generic" },
	{ 0xe2d511b4, "iov_iter_revert" },
	{ 0x237999b3, "napi_get_frags" },
	{ 0xc6e77417, "iov_iter_single_seg_count" },
	{ 0x29f2bd8f, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4ef0e0bb, "skb_push" },
	{ 0xb54014ed, "eth_get_headlen" },
	{ 0xfa6dc7d8, "napi_schedule_prep" },
	{ 0xcd16e2a0, "napi_gro_frags" },
	{ 0xa5b12bbf, "__napi_schedule" },
	{ 0x898aee59, "ns_capable" },
	{ 0x44dd952d, "get_net_ns" },
	{ 0x30fc92fa, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xcd795f50, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdcfac0b0, "__dev_get_by_name" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x1af1c924, "alloc_netdev_mqs" },
	{ 0x7a611628, "ip_tunnel_header_ops" },
	{ 0xa5cd0af3, "register_netdevice" },
	{ 0x2da9d54, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x231e6d51, "dev_get_mac_address" },
	{ 0xa3ab7ae, "dev_set_mac_address_user" },
	{ 0x78a4c7b, "make_kuid" },
	{ 0x6e23e9f4, "init_user_ns" },
	{ 0xa5c14a39, "from_kuid" },
	{ 0xba864e4c, "netdev_update_features" },
	{ 0xf759781c, "netif_tx_wake_queue" },
	{ 0xe88b6d62, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4e3f95c2, "dev_addr_mod" },
	{ 0x5b40b525, "call_netdevice_notifiers" },
	{ 0x24d6213a, "free_netdev" },
	{ 0x5efe4c2e, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa875e7db, "from_kgid" },
	{ 0x42575b1e, "__page_frag_cache_drain" },
	{ 0x565373f1, "passthru_features_check" },
	{ 0x373264cf, "eth_mac_addr" },
	{ 0x4b2ebe2a, "eth_validate_addr" },
	{ 0xfae62410, "ethtool_op_get_link" },
	{ 0xde17ffb9, "ethtool_op_get_ts_info" },
	{ 0xb2c57b03, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb50df69f, "file_f_owner_allocate" },
	{ 0x6761e926, "fasync_helper" },
	{ 0xa6e5c11c, "const_pcpu_hot" },
	{ 0xae1b8b24, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfee45c21, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0x7d6c8e14, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4351d33d, "netif_carrier_on" },
	{ 0x48a07b8, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a495f93, "from_kgid_munged" },
	{ 0xe654c838, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3f9d42b, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c211432, "netif_tx_stop_all_queues" },
	{ 0xfc5e01fc, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9db6a04f, "bpf_prog_get_type_dev" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x92997ed8, "_printk" },
	{ 0x2164d02e, "rtnl_link_register" },
	{ 0x39ae21, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc092abd, "misc_deregister" },
	{ 0xa2115dbd, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb8f2a729, "xdp_return_frame" },
	{ 0x923e4695, "sk_skb_reason_drop" },
	{ 0x94edf2b3, "__wake_up_sync_key" },
	{ 0x75cfe127, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67e33081, "net_hotdata" },
	{ 0x8d79990b, "napi_gro_receive" },
	{ 0x534600ed, "napi_complete_done" },
	{ 0xb11818eb, "bpf_prog_put" },
	{ 0xb0ec4fa8, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1ca3dfc8, "xdp_do_redirect" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8418b6a2, "bpf_warn_invalid_xdp_action" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "298770A0779FCFFE0BA22F5");

MODULE_INFO(suserelease, "SLFO-1.2");
