#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xf4730a75, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x8cef7d6f, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x4bc1e080, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xbbb278a2, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x7376fcbb, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0xc5e2029b, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x721965ad, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0xe6690591, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x5670d238, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0xbc04cf7c, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x906f7052, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0xbcd138b5, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x0a47d842, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x16274d29, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x5fffb326, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x99957bd9, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x9662ad6e, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x628aa8ab, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x8b1de1c9, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x8fde8fa3, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xf43a402c, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xcb916ca9, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x7702314a, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0xcd4ae6ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1af1c924, "alloc_netdev_mqs" },
	{ 0x4cc04088, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x78cf7434, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa752210d, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc2024b6, "cfg80211_rx_mlme_mgmt" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd53db826, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e81d384, "cfg80211_put_bss" },
	{ 0xf4e57a1, "netif_device_detach" },
	{ 0x62b19c3, "cfg80211_ch_switch_notify" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xabe45d06, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x5eedb32, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x943de9cd, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xa403f9e4, "__cfg80211_radar_event" },
	{ 0xaa1321ab, "cfg80211_tdls_oper_request" },
	{ 0xdb612b42, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77978bfd, "devm_kmemdup" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x7c911e37, "cfg80211_ibss_joined" },
	{ 0x9a477c39, "request_firmware_nowait" },
	{ 0x29522604, "simple_open" },
	{ 0xc8d6687c, "skb_pull" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x923e4695, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb422bf27, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x506f760f, "cfg80211_michael_mic_failure" },
	{ 0x61b8dcd4, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4ef0e0bb, "skb_push" },
	{ 0xd42d177e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xfd91bc83, "cfg80211_del_sta_sinfo" },
	{ 0x167c177f, "wiphy_unregister" },
	{ 0x24d6213a, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x94b9cdd4, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c211432, "netif_tx_stop_all_queues" },
	{ 0xf759781c, "netif_tx_wake_queue" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x559e11b8, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x225746bb, "netif_rx" },
	{ 0x3b9ee83c, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xee022a64, "skb_trim" },
	{ 0x72ef959d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbff54c0c, "cfg80211_sched_scan_stopped_locked" },
	{ 0x5cf3d362, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x2837d154, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x2842663, "cfg80211_rx_mgmt_ext" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x815eb599, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48a07b8, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1e31507d, "skb_copy" },
	{ 0xddd6a345, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4351d33d, "netif_carrier_on" },
	{ 0x4ffee63, "debugfs_create_file_full" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x407743e4, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbcf499f3, "cfg80211_inform_bss_data" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xc2940e19, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xef560fc5, "param_ops_int" },
	{ 0x23dd60eb, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x59f179bb, "cfg80211_connect_done" },
	{ 0xd1c33e5b, "__cfg80211_get_bss" },
	{ 0xd73893a3, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3fd995, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf85b11b0, "skb_queue_head" },
	{ 0xb842867c, "cfg80211_sched_scan_results" },
	{ 0x72e5be2e, "skb_complete_wifi_ack" },
	{ 0x309a3967, "cfg80211_mgmt_tx_status_ext" },
	{ 0x85646dcb, "device_set_wakeup_enable" },
	{ 0x1c50739d, "cfg80211_rx_assoc_resp" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd6ffdab5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf52c53b9, "param_ops_uint" },
	{ 0x85f0bd89, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x712cc135, "cfg80211_chandef_dfs_required" },
	{ 0x530a4ed8, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8f2f350b, "cfg80211_sched_scan_stopped" },
	{ 0x33ac904b, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x41713780, "cfg80211_remain_on_channel_expired" },
	{ 0x25b8a6bb, "cfg80211_cac_event" },
	{ 0x649403c0, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7a928f7, "cfg80211_register_netdevice" },
	{ 0x904ed924, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x450de705, "ieee80211_amsdu_to_8023s" },
	{ 0xb897d5f6, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa5c446c8, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b2ebe2a, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x170fbdc0, "cfg80211_new_sta" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0x72ed2568, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe88b6d62, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e3f95c2, "dev_addr_mod" },
	{ 0x42e28ad3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C8D43078F7C0AE3278BA3D4");

MODULE_INFO(suserelease, "SLFO-1.2");
