#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x3e072c5c, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x8df1ff9e, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xa24ac3e8, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xa24462ad, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x694e1f1d, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x75b8b4ff, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xcaa2a481, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x0eeb91d9, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0xb1f181a7, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x112781e1, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xb1766932, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xc46c7e0d, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x4c25fe79, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x9a0c8700, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xd7ec5d3b, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x9790475e, "");
SYMBOL_CRC(rtw89_pm_ops, 0xf9f9c6b8, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x5b5242b1, "");
SYMBOL_CRC(rtw89_pci_probe, 0x19db5417, "");
SYMBOL_CRC(rtw89_pci_remove, 0xdf5841f6, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x90d0e935, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x36265c9d, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xa67890f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x709ae055, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcec7a78e, "dma_free_attrs" },
	{ 0x75618f4d, "rtw89_core_rx" },
	{ 0x815eb599, "param_ops_bool" },
	{ 0x332fb603, "pci_release_regions" },
	{ 0x4c6552ff, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x82885e, "rtw89_core_deinit" },
	{ 0xcad49e0d, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x23a018d6, "pci_disable_device" },
	{ 0x9dd61391, "dma_set_mask" },
	{ 0xfa6dc7d8, "napi_schedule_prep" },
	{ 0x768c078a, "pci_read_config_byte" },
	{ 0xc2940e19, "dev_kfree_skb_any_reason" },
	{ 0x27bb44de, "rtw89_debug" },
	{ 0xf21e0f06, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe8abc9ed, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa096eaf4, "rtw89_chip_info_setup" },
	{ 0x9a08e82f, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe8ab5877, "pcie_capability_read_word" },
	{ 0x7c69b592, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xee6e7778, "rtw89_alloc_ieee80211_hw" },
	{ 0xd794601d, "devm_request_threaded_irq" },
	{ 0x9f4d5e96, "pci_enable_device" },
	{ 0x85f0bd89, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x341b6a5, "consume_skb" },
	{ 0x73d2af5f, "pci_iomap" },
	{ 0x87cae321, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0x649403c0, "skb_dequeue" },
	{ 0x9d25d5bd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc72e4f76, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x446c71f0, "rtw89_core_napi_init" },
	{ 0xf518db47, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ce20c7a, "dev_driver_string" },
	{ 0x6cbee3cd, "ieee80211_tx_status_skb" },
	{ 0xe9a6c98, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1a7a8536, "dma_map_page_attrs" },
	{ 0x534600ed, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6478dc02, "devm_free_irq" },
	{ 0xa5b12bbf, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41157f9b, "_dev_info" },
	{ 0x5eedb32, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x99ce94a4, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9c7b36f6, "__dma_sync_single_for_cpu" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0xe29bd274, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8b86c119, "rtw89_core_napi_deinit" },
	{ 0x4ef0e0bb, "skb_push" },
	{ 0x3f142da3, "dma_alloc_attrs" },
	{ 0xfe5aa106, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2e2a4f3d, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2ec8df48, "pci_iounmap" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x54bce919, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59b6916a, "rtw89_ser_notify" },
	{ 0x3b9ee83c, "__netdev_alloc_skb" },
	{ 0x72ef959d, "skb_unlink" },
	{ 0xe63ce03d, "dma_set_coherent_mask" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "8673123C05F0FCD13445539");

MODULE_INFO(suserelease, "SLFO-1.2");
