#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0x97eadfb8, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0xd560a263, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0x91a272fe, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x8316cc32, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0x2d25dc9f, "");
SYMBOL_CRC(rsi_hal_device_init, 0x61f94e19, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2be2055, "wake_up_process" },
	{ 0x581a6b77, "skb_queue_purge_reason" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x169603ee, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe9fcaf4b, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5eedb32, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x98faa09e, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7c0f443, "sort" },
	{ 0xc8d6687c, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x168ab8c3, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4ef0e0bb, "skb_push" },
	{ 0x75c86d41, "kthread_stop" },
	{ 0x7a0ea1ae, "ieee80211_free_txskb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5a020b32, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc80a2821, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9d85766a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x14a5593e, "ieee80211_stop_queue" },
	{ 0x3b9ee83c, "__netdev_alloc_skb" },
	{ 0x79f780d7, "ieee80211_ready_on_channel" },
	{ 0x7df15d10, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7029474e, "kthread_create_on_node" },
	{ 0x9c2cfab1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1de5a6a7, "wiphy_rfkill_start_polling" },
	{ 0x40682829, "ieee80211_scan_completed" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcb40f819, "ieee80211_unregister_hw" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x214ed3de, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0xeb667b24, "ieee80211_emulate_remove_chanctx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x8dc8736d, "ieee80211_rx_irqsafe" },
	{ 0x8e8e074d, "ieee80211_queue_stopped" },
	{ 0xc8ecd59c, "rsi_bt_ops" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x85f0bd89, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x341b6a5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x65b45cb, "complete" },
	{ 0x649403c0, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd8c08dca, "ieee80211_free_hw" },
	{ 0xd9eaac55, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x904ed924, "request_firmware" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x805094ec, "kthread_complete_and_exit" },
	{ 0x94d16554, "ieee80211_register_hw" },
	{ 0x7446bb2, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf4229747, "ieee80211_generic_frame_duration" },
	{ 0xdd980e4c, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rfkill,cfg80211,btrsi");


MODULE_INFO(srcversion, "E3F14B6BFC128F20126F6D5");

MODULE_INFO(suserelease, "SLFO-1.2");
