#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x58098f6e, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xdbcd26a2, "nvme_remove_io_tag_set" },
	{ 0xc47d40a7, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb1d97eba, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x95a5bccb, "nvmf_unregister_transport" },
	{ 0x1a802998, "blkcg_get_fc_appid" },
	{ 0x931bef48, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x831a698b, "nvme_change_ctrl_state" },
	{ 0x41157f9b, "_dev_info" },
	{ 0x7127f493, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xb24de6fc, "nvme_alloc_io_tag_set" },
	{ 0x6ff87cab, "nvme_fail_nonready_command" },
	{ 0x818fb3ef, "kobject_uevent_env" },
	{ 0x9c7b36f6, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0xe01d6a49, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa0bb00dc, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xda672086, "__blk_rq_map_sg" },
	{ 0x6573f300, "ida_free" },
	{ 0x7ac4ec16, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9128ae95, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xd2b24bf6, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbcee6dfd, "nvme_enable_ctrl" },
	{ 0xe637c7e7, "nvme_unquiesce_admin_queue" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc05b5bde, "nvme_unquiesce_io_queues" },
	{ 0x4636c186, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x466594de, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x154aa1d9, "nvmf_should_reconnect" },
	{ 0x4c6552ff, "__dma_sync_single_for_device" },
	{ 0xf2fd329b, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x307e3ac9, "device_destroy" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xe99dc684, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x49babf5a, "nvmf_register_transport" },
	{ 0x52303c54, "blk_mq_start_request" },
	{ 0xd7cfd1f0, "nvme_quiesce_io_queues" },
	{ 0x688dc450, "blk_mq_tagset_busy_iter" },
	{ 0x4abc04c7, "nvme_stop_ctrl" },
	{ 0x882ead08, "dma_unmap_sg_attrs" },
	{ 0x18946bb4, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x65b2615f, "nvme_reset_ctrl" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xe05db361, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2a18a0b8, "class_register" },
	{ 0xb9776532, "__nvme_check_ready" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x845b039, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd410affa, "nvme_add_ctrl" },
	{ 0xe291dd0f, "nvme_remove_admin_tag_set" },
	{ 0x9ee78116, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xaaf64595, "nvme_uninit_ctrl" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x81fefc1d, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19485417, "nvmf_free_options" },
	{ 0xd6deb378, "nvmf_subsystem_reset" },
	{ 0x2cf6cba6, "blk_mq_tagset_wait_completed_request" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x715608cb, "nvme_stop_keep_alive" },
	{ 0x7145eed8, "blk_mq_complete_request_remote" },
	{ 0x9d25d5bd, "dma_unmap_page_attrs" },
	{ 0x39e06d20, "nvme_setup_cmd" },
	{ 0xa936cfc8, "nvme_start_ctrl" },
	{ 0x58706361, "nvme_alloc_admin_tag_set" },
	{ 0x43c65123, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x17d02459, "nvmf_reg_read32" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa4097db2, "nvme_delete_ctrl" },
	{ 0x1828e829, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xe34e2e39, "nvme_should_fail" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ce20c7a, "dev_driver_string" },
	{ 0x70878482, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1a7a8536, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "404208CB56101C42439C9B5");

MODULE_INFO(suserelease, "SLFO-1.2");
