#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xacf3d1de, "");
SYMBOL_CRC(sas_remove_host, 0xf80255e0, "");
SYMBOL_CRC(sas_get_address, 0xbd6aa458, "");
SYMBOL_CRC(sas_tlr_supported, 0x42240ab8, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x4af463da, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x11e8e501, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xcdb78e7d, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xf6d9a102, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xcf39a7c3, "");
SYMBOL_CRC(sas_phy_add, 0x62375867, "");
SYMBOL_CRC(sas_phy_free, 0x952477ba, "");
SYMBOL_CRC(sas_phy_delete, 0x74d3654f, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x37d68f2a, "");
SYMBOL_CRC(sas_port_alloc, 0x7ee9f86c, "");
SYMBOL_CRC(sas_port_alloc_num, 0x9be70d16, "");
SYMBOL_CRC(sas_port_add, 0xa5ebe06f, "");
SYMBOL_CRC(sas_port_free, 0xbc7d1164, "");
SYMBOL_CRC(sas_port_delete, 0x764a47ef, "");
SYMBOL_CRC(scsi_is_sas_port, 0x4e18dbce, "");
SYMBOL_CRC(sas_port_get_phy, 0xbd721a00, "");
SYMBOL_CRC(sas_port_add_phy, 0x4389b4c3, "");
SYMBOL_CRC(sas_port_delete_phy, 0x96ddcbab, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x7d6590ab, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x8b4e4b78, "");
SYMBOL_CRC(sas_end_device_alloc, 0xa8607a59, "");
SYMBOL_CRC(sas_expander_alloc, 0x38f91e01, "");
SYMBOL_CRC(sas_rphy_add, 0x77e4b605, "");
SYMBOL_CRC(sas_rphy_free, 0x7905f55f, "");
SYMBOL_CRC(sas_rphy_delete, 0x2fe7bb5a, "");
SYMBOL_CRC(sas_rphy_unlink, 0x1c4e43ea, "");
SYMBOL_CRC(sas_rphy_remove, 0x650a06d8, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xc8485a3f, "");
SYMBOL_CRC(sas_attach_transport, 0x7cd9b6ef, "");
SYMBOL_CRC(sas_release_transport, 0x57d73304, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x933c1b8e, "attribute_container_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x23f60315, "_dev_printk" },
	{ 0xc6ffee6c, "attribute_container_unregister" },
	{ 0xb0285ab2, "scsi_get_vpd_page" },
	{ 0xc35f216e, "scsi_mode_sense" },
	{ 0xb0a40381, "scsi_remove_host" },
	{ 0x9b155bab, "bsg_remove_queue" },
	{ 0x4399460d, "scsi_remove_target" },
	{ 0x7e903728, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x3fc84ed4, "bsg_job_done" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9d5a4f4c, "dma_opt_mapping_size" },
	{ 0x8b8c0ef8, "device_initialize" },
	{ 0x4aa3a83b, "dev_set_name" },
	{ 0x3a123ad8, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3200e6f, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x931bef48, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c5be6a4, "device_add" },
	{ 0x772ca775, "transport_add_device" },
	{ 0x78933794, "transport_configure_device" },
	{ 0x5e22ea84, "device_del" },
	{ 0x7975f10e, "transport_destroy_device" },
	{ 0xa0822433, "transport_remove_device" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1828e829, "get_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf29c1ba9, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf51018a6, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7a88978, "scsi_scan_target" },
	{ 0x6538023c, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf5593580, "transport_class_register" },
	{ 0xc251ce44, "transport_class_unregister" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "SLFO-1.2");
