#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0x8cf60e36, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x21ef2a2d, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x3c948cca, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x8e02633b, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x00733ee9, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x51b24a33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xc949ef09, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x49a07121, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1bc34c74, "usb_hcd_check_unlink_urb" },
	{ 0xdb612b42, "device_wakeup_disable" },
	{ 0x218f980f, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4811f74b, "perf_trace_run_bpf_submit" },
	{ 0x2eec2483, "devm_kfree" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0xa9b8f433, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd42d177e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5e50f75b, "sg_miter_stop" },
	{ 0xbb334e88, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x504e6e9f, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf5ff77d1, "bpf_trace_run1" },
	{ 0xec9d76ad, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa305da1a, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe54eb794, "__platform_driver_register" },
	{ 0x7ccda640, "bpf_trace_run3" },
	{ 0x9dbc5c28, "seq_read" },
	{ 0x80432fb3, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x19f45c83, "trace_event_buffer_reserve" },
	{ 0xec09ad42, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x42a478c3, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc9a4120e, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5d001830, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc2821d9e, "usb_hcd_poll_rh_status" },
	{ 0x4ffee63, "debugfs_create_file_full" },
	{ 0xe77c4e1a, "usb_create_hcd" },
	{ 0xcafe24ba, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6d3c06c1, "dev_err_probe" },
	{ 0x9d755aad, "__pm_runtime_suspend" },
	{ 0x115df85c, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0x5401976b, "__pm_runtime_use_autosuspend" },
	{ 0xfae73521, "usb_remove_hcd" },
	{ 0x23f60315, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7d2ca402, "single_open" },
	{ 0xce12a8fa, "usb_hcd_unmap_urb_for_dma" },
	{ 0x54721046, "__pm_runtime_disable" },
	{ 0x23dd60eb, "debugfs_create_dir" },
	{ 0xb3c44d8, "usb_add_hcd" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x810b53c9, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd7ee7fb8, "devm_platform_ioremap_resource" },
	{ 0xd6ffdab5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x710b4227, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfb36b499, "devm_kmalloc" },
	{ 0x38e967bb, "usb_hcd_resume_root_hub" },
	{ 0x44fa5e4b, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf1a4e70, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x33ac904b, "param_ops_ushort" },
	{ 0xe51adf79, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xcf0ab75, "pm_runtime_set_autosuspend_delay" },
	{ 0x8ebca5b1, "__trace_trigger_soft_disabled" },
	{ 0x5e720904, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd4ef222, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0xf411d1da, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1a4c762c, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb9432d7, "usb_get_dr_mode" },
	{ 0x5ce20c7a, "dev_driver_string" },
	{ 0x5b26b4d2, "trace_event_buffer_commit" },
	{ 0xb411f7f4, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3242129830481DC6DEC280B");

MODULE_INFO(suserelease, "SLFO-1.2");
