#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x2639f803, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x727f874c, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xbaaaac63, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x0807f1ed, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x3ef92097, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xabd6b9f9, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x97daa9ec, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xe2b2f82d, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xea61b834, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x65485df9, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xf0d41caa, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xda70947c, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xb390e7da, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x0960fe5b, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x12de3ff9, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x9bfd5c23, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x4bb2ee4e, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xc8d6687c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1ec0856f, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xeb192a7b, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe0006b6b, "flow_indr_dev_setup_offload" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0xd6adc0e5, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7f150a5a, "__pskb_pull_tail" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x245429e8, "register_btf_kfunc_id_set" },
	{ 0xeddd417, "down_read" },
	{ 0xa86f8594, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x70d9baa9, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9e18bc61, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2df60be5, "inet_proto_csum_replace4" },
	{ 0x21e1f7ea, "seq_write" },
	{ 0xd9eb93fe, "remove_proc_entry" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x9b4da018, "nf_ct_acct_add" },
	{ 0x5d001830, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc833af2a, "dst_release" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xa864e97b, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbb53856b, "up_read" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x16c1367d, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xc59f9e65, "flow_rule_alloc" },
	{ 0xe67ce6db, "ip6_dst_check" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbbcf4a9e, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x98e09e12, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x76542424, "neigh_xmit" },
	{ 0xeec5f0c, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xd231df3f, "ip6_output" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1ebeb0d7, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29f2bd8f, "pskb_expand_head" },
	{ 0xf4b1c83b, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "CFF181516A0CF8DFB0F0E2E");

MODULE_INFO(suserelease, "SLFO-1.2");
