#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x84063b32, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x1c33bbec, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xe9c8b27d, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0xcaeb5c29, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x8896aeec, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x56c0bc73, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x28a59a57, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0xee745707, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xa7cd3aff, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x73e0af72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x105f864d, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x103c8727, "snd_pcm_hw_rule_noresample" },
	{ 0xc71297da, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xee0304fc, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe212bdf1, "snd_dma_alloc_dir_pages" },
	{ 0xd794601d, "devm_request_threaded_irq" },
	{ 0xf52c53b9, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x69cbc0a6, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa1ed49b4, "snd_ac97_write_cache" },
	{ 0xb200bc00, "snd_ctl_add" },
	{ 0xc7b453cc, "snd_ac97_resume" },
	{ 0xfb999a3e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfbf6024c, "snd_seq_device_new" },
	{ 0xab81ce2e, "snd_card_register" },
	{ 0x904ed924, "request_firmware" },
	{ 0x65fe79bd, "snd_devm_alloc_dir_pages" },
	{ 0xb954a89d, "__pci_register_driver" },
	{ 0x2eba29e4, "snd_pcm_hw_constraint_minmax" },
	{ 0x255e2591, "snd_pcm_set_sync_per_card" },
	{ 0x7c1b1d31, "snd_timer_interrupt" },
	{ 0x286d62e9, "param_array_ops" },
	{ 0xc72e4f76, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8db172d0, "snd_card_rw_proc_new" },
	{ 0xc709c105, "snd_ac97_update_bits" },
	{ 0x3a5a5681, "snd_ac97_mixer" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x9d66127a, "snd_sgbuf_get_addr" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0x51026c31, "snd_ctl_remove" },
	{ 0xacb367b5, "snd_ac97_bus" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x91e23aae, "snd_ctl_find_id" },
	{ 0xc8956f3c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9a6c98, "pci_read_config_dword" },
	{ 0xea9cf451, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa4c72c04, "snd_ctl_new1" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb807c12b, "snd_ctl_remove_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa42c29ac, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x75b663b7, "snd_ac97_suspend" },
	{ 0xda57013b, "snd_pcm_lib_malloc_pages" },
	{ 0x99bd10ee, "__snd_util_mem_alloc" },
	{ 0x1ac8e6c7, "snd_ctl_boolean_mono_info" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x8614bcf, "snd_util_memhdr_new" },
	{ 0xd52b9851, "snd_pcm_lib_ioctl" },
	{ 0xb3bf1685, "snd_pcm_lib_free_pages" },
	{ 0x65b728ba, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x93aa3412, "pci_read_config_word" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x54e3e2ad, "snd_ctl_notify" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd780752b, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x36f3a2b9, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x76f821ff, "snd_timer_new" },
	{ 0xff29ce9d, "snd_ctl_rename" },
	{ 0x9ac5c47a, "snd_pcm_hw_constraint_list" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf48bee33, "snd_ac97_update" },
	{ 0x6316297b, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x54bce919, "pci_set_master" },
	{ 0x559e11b8, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5af323c8, "snd_rawmidi_new" },
	{ 0xe63ce03d, "dma_set_coherent_mask" },
	{ 0x5b3751cd, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf86f0cb6, "_dev_notice" },
	{ 0x34f50913, "__snd_util_mem_free" },
	{ 0x2423b26f, "snd_rawmidi_set_ops" },
	{ 0xc67959a, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x815eb599, "param_ops_bool" },
	{ 0x7cd4549, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5d001830, "seq_printf" },
	{ 0xbb1c97fa, "snd_util_memhdr_free" },
	{ 0xd683681a, "snd_info_create_card_entry" },
	{ 0x9dd61391, "dma_set_mask" },
	{ 0x50306698, "snd_device_free" },
	{ 0x6e4ff97f, "snd_pcm_period_elapsed" },
	{ 0x8a05e13f, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0xef560fc5, "param_ops_int" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "095F33098D9B3DE44D0BCE1");

MODULE_INFO(suserelease, "SLFO-1.2");
