#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_populate, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x8cf7434f, "");
SYMBOL_CRC(ttm_tt_fini, 0x72e5de81, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x50a7aa76, "");
SYMBOL_CRC(ttm_tt_populate, 0x3bd8f7f1, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x31ae7650, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0xe6f8e9c3, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x95da159e, "");
SYMBOL_CRC(ttm_bo_put, 0x2b2b6589, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xfd68c737, "");
SYMBOL_CRC(ttm_bo_pin, 0x0daf5808, "");
SYMBOL_CRC(ttm_bo_unpin, 0x62e353c4, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x19c4f373, "");
SYMBOL_CRC(ttm_bo_validate, 0x347cb78f, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x8b5a55c1, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x29926ee2, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x3b9a50a6, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0xead58a2a, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x12675676, "");
SYMBOL_CRC(ttm_io_prot, 0x9e1f7751, "");
SYMBOL_CRC(ttm_bo_kmap, 0xaad308ed, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xd212eadb, "");
SYMBOL_CRC(ttm_bo_vmap, 0x0a4e4afc, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x2552bf37, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x45231944, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xb8e6b715, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x8b672a55, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0xe448ee50, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0xa22604da, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0xbd6108e7, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x05fb1fa9, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x4fb4f30a, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x78b00218, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xb7e6f57a, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0xea5516d3, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x0373f29a, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x6c0373ec, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x30d37119, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x38edfc20, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x6aa0a709, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x9670a99f, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x254ff26d, "");
SYMBOL_CRC(ttm_resource_init, 0x295d8c95, "");
SYMBOL_CRC(ttm_resource_fini, 0x59905cea, "");
SYMBOL_CRC(ttm_resource_free, 0xa9851265, "");
SYMBOL_CRC(ttm_resource_manager_init, 0xecfd49a0, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x787d3a26, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0xcc605492, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0xe1c08182, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x8d57434f, "");
SYMBOL_CRC(ttm_pool_alloc, 0xc134985d, "");
SYMBOL_CRC(ttm_pool_free, 0xa3dc043e, "");
SYMBOL_CRC(ttm_pool_init, 0x0ed8225e, "");
SYMBOL_CRC(ttm_pool_fini, 0x7f8f1f7d, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x2edf960c, "");
SYMBOL_CRC(ttm_glob, 0x11637af4, "");
SYMBOL_CRC(ttm_device_swapout, 0xc2704328, "");
SYMBOL_CRC(ttm_device_init, 0x3687f836, "");
SYMBOL_CRC(ttm_device_fini, 0xab99a844, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x83f60445, "");
SYMBOL_CRC(ttm_agp_bind, 0xe1620498, "");
SYMBOL_CRC(ttm_agp_unbind, 0xc76476fd, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x3a8c12c9, "");
SYMBOL_CRC(ttm_agp_destroy, 0x68948f68, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x218ebec4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xf411d1da, "seq_lseek" },
	{ 0xff756fd0, "drm_vma_offset_add" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0x2e51ab7e, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc2762363, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c8c22ab, "shrinker_free" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0x2e26b153, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1a7a8536, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x9135c72, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x7fa93d5, "dma_resv_reset_max_fences" },
	{ 0x368c8637, "ww_mutex_trylock" },
	{ 0xa26d8cc5, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc2660e9a, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6e5c11c, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6bb9406, "__free_pages" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8605bc64, "mark_page_accessed" },
	{ 0x28ef09a1, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x275c7742, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x2092dd91, "agp_free_memory" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x793ac6a1, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3f142da3, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xd42d177e, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xf0b3c712, "seq_putc" },
	{ 0xd22e8f51, "ww_mutex_lock" },
	{ 0x5cdd461b, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x44643ed3, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x637fec9d, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xad660d98, "vmf_insert_pfn_prot" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xbe0c54e3, "agp_allocate_memory" },
	{ 0x1817cc22, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xeddd417, "down_read" },
	{ 0x8f670bcd, "dma_resv_copy_fences" },
	{ 0x55ae6530, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x9dbc5c28, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0xcbe7a281, "dma_fence_enable_sw_signaling" },
	{ 0x7023155, "set_pages_array_wc" },
	{ 0xcec7a78e, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc15c64bb, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x21e1f7ea, "seq_write" },
	{ 0x1574f05a, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5d001830, "seq_printf" },
	{ 0x816af200, "__mmap_lock_do_trace_released" },
	{ 0x4ffee63, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x35a8d6b3, "dma_resv_iter_first_unlocked" },
	{ 0x16796b9a, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0xcafe24ba, "single_release" },
	{ 0x5f172371, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x21e7ac60, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x39494af0, "__vma_start_write" },
	{ 0x7d2ca402, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x23dd60eb, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbb53856b, "up_read" },
	{ 0xd171f54c, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x84350e96, "shrinker_alloc" },
	{ 0x4d64ef4c, "ww_mutex_lock_interruptible" },
	{ 0xc1b076a3, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x85f1ff4f, "param_ops_ulong" },
	{ 0x7f617d0a, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1910dde3, "agp_bind_memory" },
	{ 0x76e262c7, "vmalloc_to_page" },
	{ 0xc2435f19, "dma_resv_init" },
	{ 0xe9b331a6, "dma_resv_wait_timeout" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0x9d25d5bd, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x1b3b8490, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x2b3af69d, "debugfs_create_atomic_t" },
	{ 0x821e0d97, "unmap_mapping_range" },
	{ 0xb6af72b1, "dma_resv_add_fence" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "654955A6B60A6D2699444C3");

MODULE_INFO(suserelease, "SLFO-1.2");
