#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0xdbaaef3b, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x8c5cac92, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x71f198a8, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x823fcdd6, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x290a4279, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x5a317718, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x05309ccf, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x195c8425, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x0f6d11a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfb578fc5, "memset" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xcdcf866, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x12c21290, "hid_hw_open" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x62ce79cc, "hid_hw_close" },
	{ 0x8f757c40, "__hid_register_driver" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0x65b45cb, "complete" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x359a95e6, "hid_hw_stop" },
	{ 0xd3200e6f, "device_for_each_child" },
	{ 0xa7fdbd53, "mfd_remove_devices" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xb3efd9fe, "hid_unregister_driver" },
	{ 0xfb36b499, "devm_kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd4542184, "hid_open_report" },
	{ 0x2933d02e, "hid_hw_start" },
	{ 0x21dafcc8, "devm_kasprintf" },
	{ 0x3e1ebdfb, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x857c4824, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "66B2176B189B0D4AA376587");

MODULE_INFO(suserelease, "SLFO-1.2");
