#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x03a0f24d, "");
SYMBOL_CRC(ishtp_start, 0x8db2d3b0, "");
SYMBOL_CRC(ishtp_send_suspend, 0x1fc5c7c6, "");
SYMBOL_CRC(ishtp_send_resume, 0x4a8f2de3, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x5c901a06, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x8a1ac2b6, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xbc7bde70, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xffbb06e4, "");
SYMBOL_CRC(ishtp_cl_free, 0x0c90451e, "");
SYMBOL_CRC(ishtp_cl_link, 0x5cee19aa, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x12d2205a, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x9bb6e17c, "");
SYMBOL_CRC(ishtp_cl_connect, 0xf334f9d9, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xba477b30, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x767765f4, "");
SYMBOL_CRC(ishtp_cl_send, 0x2e6e114f, "");
SYMBOL_CRC(ishtp_get_client_data, 0x773fa717, "");
SYMBOL_CRC(ishtp_set_client_data, 0x4ebe29f0, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x8d23a391, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x04c3750a, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x22234e61, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xeb1f45bb, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x9ee0c277, "");
SYMBOL_CRC(ishtp_recv, 0x88a8ef62, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x79030068, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x97c73d5c, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xd2f1a393, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x78d3b02a, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x3a2638d8, "");
SYMBOL_CRC(ishtp_get_device, 0x3798028e, "");
SYMBOL_CRC(ishtp_put_device, 0xb235ddfc, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x93c55904, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x41a2a281, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xefd736ef, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xc1303930, "");
SYMBOL_CRC(ishtp_reset_handler, 0xdb030640, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xd9bb4caa, "");
SYMBOL_CRC(ishtp_device, 0x162eee2f, "");
SYMBOL_CRC(ishtp_wait_resume, 0xd45dde3a, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xc70976b6, "");
SYMBOL_CRC(ishtp_trace_callback, 0x395c0d20, "");
SYMBOL_CRC(ish_hw_reset, 0x12af0cd0, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x92a5293e, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xa61cf2b8, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x526eda44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x931bef48, "put_device" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e7fdb20, "bus_unregister" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3f142da3, "dma_alloc_attrs" },
	{ 0x38130b, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x94db42f6, "device_register" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcec7a78e, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d3c06c1, "dev_err_probe" },
	{ 0x91f34fd1, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0xef560fc5, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3e876ed2, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x776dc7c8, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa2f27260, "firmware_request_nowarn" },
	{ 0x4aa3a83b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dc9f074, "device_unregister" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F5B162B01BB4560149CAE69");

MODULE_INFO(suserelease, "SLFO-1.2");
