#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0x7fc1c2eb, "");
SYMBOL_CRC(iio_device_id, 0xde453762, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0x91655918, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x16975685, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x7e4fdaec, "");
SYMBOL_CRC(iio_device_set_clock, 0x72fc2949, "");
SYMBOL_CRC(iio_device_get_clock, 0x68210e26, "");
SYMBOL_CRC(iio_get_time_ns, 0xcd52e669, "");
SYMBOL_CRC(iio_enum_available_read, 0x9c9af6ad, "_gpl");
SYMBOL_CRC(iio_enum_read, 0x59bbfb0f, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x39e07298, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0x28011e0f, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0x0b5b14b3, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x169c4a71, "");
SYMBOL_CRC(iio_device_free, 0x1ec2b66f, "");
SYMBOL_CRC(devm_iio_device_alloc, 0x05ec4ea8, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x0f8de1f9, "_gpl");
SYMBOL_CRC(__iio_device_register, 0xf0091d04, "");
SYMBOL_CRC(iio_device_unregister, 0x0624910c, "");
SYMBOL_CRC(__devm_iio_device_register, 0x2c7539d9, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0x4afbc29e, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0xb0350ebc, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0xec23799b, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x16edb5b9, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0x6dda5339, "_gpl");
SYMBOL_CRC(iio_push_event, 0xd4082849, "");
SYMBOL_CRC(iio_map_array_register, 0x984d835f, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0x93f0f7d9, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0x83ff9a94, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0xb6ed4e45, "_gpl");
SYMBOL_CRC(iio_channel_get, 0xc76e7395, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x02213bd7, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0xfd622dc8, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0x1856b07b, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x7f3b762a, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0xad0654dc, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0xff529084, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x8806d429, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0x3ba97e31, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0x141f766c, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0x1acd40e6, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0x5a7d7516, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x8bcb8189, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0xbd09b99d, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0x687a93dc, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0x232487bd, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x4bec4f8a, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0xb107e66d, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0xa7b1b09b, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0xf30f8ba6, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0xb1e998a3, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0xebf24389, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x6326e851, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0x0161b1d4, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0x70ba55fe, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0xd0bac090, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0xa7e8db26, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x71d1309f, "");
SYMBOL_CRC(iio_update_buffers, 0xa6293656, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0x2372874e, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0xf443fc08, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x6a55e153, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0x422139c9, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x3d850f37, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0x17c49cfa, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0xa9b0e396, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xba998098, "");
SYMBOL_CRC(iio_trigger_unregister, 0x6c981562, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0x4b54ca88, "");
SYMBOL_CRC(iio_trigger_poll, 0x7ea2fd10, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0xd623484d, "");
SYMBOL_CRC(iio_trigger_notify_done, 0xfda63e9f, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0xd9573c19, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0xc8149c8e, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0x428f2d17, "");
SYMBOL_CRC(iio_trigger_free, 0x5deede37, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0xcdf6d5c6, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0x3adcbc74, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0xa1f074e0, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x5abeb502, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x13d6a597, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0xda525003, "");
SYMBOL_CRC(iio_device_resume_triggering, 0xadf32cc0, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0xb8227c0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7df9fb8d, "cdev_device_add" },
	{ 0x7fa93d5, "dma_resv_reset_max_fences" },
	{ 0x368c8637, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0x66c6f13e, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x931bef48, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x86d71a5, "dma_buf_map_attachment" },
	{ 0xa6e5c11c, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8a4cffd, "handle_simple_irq" },
	{ 0x41157f9b, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa93d4f30, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x7b975f52, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e7fdb20, "bus_unregister" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x29522604, "simple_open" },
	{ 0x196bac54, "dma_buf_unmap_attachment" },
	{ 0xa140d2fb, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x7c5be6a4, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x5e842019, "noop_llseek" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbe00b105, "dma_buf_get" },
	{ 0xd42d177e, "debugfs_remove" },
	{ 0xa2c9c552, "device_property_read_string_array" },
	{ 0x144f2e67, "__devres_alloc_node" },
	{ 0xd22e8f51, "ww_mutex_lock" },
	{ 0xa3145a5d, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x5e22ea84, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2396a966, "__irq_alloc_descs" },
	{ 0xc3647365, "fwnode_property_read_string" },
	{ 0xbb07baca, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x34ffbacc, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4ffee63, "debugfs_create_file_full" },
	{ 0xb42a328, "dma_buf_detach" },
	{ 0x5328cbdf, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xe7b16bf1, "__irq_set_handler" },
	{ 0x91f34fd1, "__devm_add_action" },
	{ 0x260b8de2, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x23dd60eb, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7995f115, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6ffb39da, "__dev_fwnode" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x776dc7c8, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d64ef4c, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x84766deb, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7f617d0a, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x4aa3a83b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe9b331a6, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb40e0f8c, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1b3b8490, "ww_mutex_unlock" },
	{ 0x8b8c0ef8, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb6af72b1, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x74fe508, "fwnode_property_get_reference_args" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x5efe4c2e, "__module_get" },
	{ 0x1828e829, "get_device" },
	{ 0x352f1d17, "dma_buf_attach" },
	{ 0xc3da336c, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0x40ff5c65, "fwnode_get_parent" },
	{ 0x950bf9ea, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf6da885c, "device_match_fwnode" },
	{ 0x15ea0922, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6BD55988EA91331F0C4E4EC");

MODULE_INFO(suserelease, "SLFO-1.2");
