#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x9797a97f, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x3075e399, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x26093e35, "");
SYMBOL_CRC(rdma_res_to_id, 0x8b0fdac9, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x3ee0f0f3, "");
SYMBOL_CRC(rdma_create_user_id, 0xac9c6c26, "");
SYMBOL_CRC(rdma_create_qp, 0xbd403a53, "");
SYMBOL_CRC(rdma_destroy_qp, 0x23031673, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xef97a456, "");
SYMBOL_CRC(rdma_destroy_id, 0x55f0fb28, "");
SYMBOL_CRC(rdma_get_service_id, 0x6661706a, "");
SYMBOL_CRC(rdma_read_gids, 0x74252877, "");
SYMBOL_CRC(rdma_set_service_type, 0x9144724e, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xb1094329, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x7fe2730c, "");
SYMBOL_CRC(rdma_set_ib_path, 0xa3d5f466, "");
SYMBOL_CRC(rdma_resolve_route, 0x296ffc18, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x3655a01f, "");
SYMBOL_CRC(rdma_set_afonly, 0x4efb90ae, "");
SYMBOL_CRC(rdma_listen, 0xd076b72d, "");
SYMBOL_CRC(rdma_resolve_addr, 0x1191617a, "");
SYMBOL_CRC(rdma_bind_addr, 0x370e0fb7, "");
SYMBOL_CRC(rdma_connect_locked, 0x32555473, "");
SYMBOL_CRC(rdma_connect, 0x2e39db72, "");
SYMBOL_CRC(rdma_connect_ece, 0x79625c5d, "");
SYMBOL_CRC(rdma_accept, 0x8260a402, "");
SYMBOL_CRC(rdma_accept_ece, 0x7f9abed8, "");
SYMBOL_CRC(rdma_lock_handler, 0x2583bda2, "");
SYMBOL_CRC(rdma_unlock_handler, 0x35290de1, "");
SYMBOL_CRC(rdma_notify, 0x5a259dba, "");
SYMBOL_CRC(rdma_reject, 0x03c333f2, "");
SYMBOL_CRC(rdma_disconnect, 0xfa834e4a, "");
SYMBOL_CRC(rdma_join_multicast, 0x232243eb, "");
SYMBOL_CRC(rdma_leave_multicast, 0x72006361, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1d66801b, "iw_cm_connect" },
	{ 0x9e493b24, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x480a89ab, "rdma_addr_cancel" },
	{ 0xc461a2c5, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x7cef7dce, "ib_sa_get_mcmember_rec" },
	{ 0xa6e5c11c, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x474b4ee, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfca93f79, "ib_sa_path_rec_get" },
	{ 0xeb7a299b, "ib_create_cm_id" },
	{ 0x4c794f3e, "__ip_mc_dec_group" },
	{ 0x610bc2c1, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4811f74b, "perf_trace_run_bpf_submit" },
	{ 0xffb1bb5c, "ib_init_ah_from_mcmember" },
	{ 0xa4b83796, "rdma_destroy_ah_attr" },
	{ 0x443d8e09, "ib_set_client_data" },
	{ 0x71b2e1cb, "init_net" },
	{ 0x55b61280, "ib_get_cached_pkey" },
	{ 0x605d5a2f, "configfs_register_subsystem" },
	{ 0xeb08092, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x1f196e59, "rdma_put_gid_attr" },
	{ 0x8112c606, "config_group_init_type_name" },
	{ 0x1ec0856f, "dev_get_by_index" },
	{ 0xd837ff82, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xeb192a7b, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x20c1cb82, "ib_send_cm_rep" },
	{ 0xbb334e88, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x856d4443, "iw_cm_disconnect" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xf5ff77d1, "bpf_trace_run1" },
	{ 0x5e67f8e3, "ib_destroy_qp_user" },
	{ 0xd6adc0e5, "unregister_pernet_subsys" },
	{ 0x77e8c29a, "ib_cm_init_qp_attr" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0xb77f7bc1, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f33dc09, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2f785e86, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xabfdd129, "ib_get_cached_port_state" },
	{ 0xe7524068, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x87d2324a, "rdma_restrack_del" },
	{ 0xa30be12d, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x7ccda640, "bpf_trace_run3" },
	{ 0xac538a7a, "__put_net" },
	{ 0xb46d58a1, "rdma_restrack_parent_name" },
	{ 0x62e663bf, "iw_cm_accept" },
	{ 0x19f45c83, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fe3731f, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x905ffc6e, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xa0fbdfc9, "iw_cm_init_qp_attr" },
	{ 0xc833af2a, "dst_release" },
	{ 0xf61fd2af, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x407b78e0, "ib_send_cm_dreq" },
	{ 0xfcc4579e, "ib_send_cm_req" },
	{ 0x857fa72c, "ib_create_qp_kernel" },
	{ 0xf0019e72, "ib_sa_join_multicast" },
	{ 0x743abf5, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7c43e7e7, "rdma_get_gid_attr" },
	{ 0xb3675158, "rdma_restrack_new" },
	{ 0x2ecc3301, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2966f28b, "iw_cm_listen" },
	{ 0xca73a661, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x976dd403, "rdma_copy_src_l2_addr" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x6eff79a7, "rdma_resolve_ip" },
	{ 0x7c0eca80, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xda1e4444, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7bffd6fc, "ib_unregister_client" },
	{ 0xc866a803, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5ba061d1, "ib_send_cm_sidr_rep" },
	{ 0x710b4227, "bpf_trace_run4" },
	{ 0x67d557ef, "config_group_init" },
	{ 0xce5e458e, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x41cc55f8, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe51adf79, "trace_raw_output_prep" },
	{ 0x46ca6896, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8ebca5b1, "__trace_trigger_soft_disabled" },
	{ 0x5e720904, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0xd4ef222, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e3b7b25, "rdma_query_gid" },
	{ 0x3890b610, "rt6_lookup" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0xdc71ce54, "rdma_translate_ip" },
	{ 0x1a4c762c, "bpf_trace_run2" },
	{ 0x12cb3d54, "rdma_dev_access_netns" },
	{ 0xbb44ecb6, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x67556c3b, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x856ee562, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4b1c83b, "register_pernet_subsys" },
	{ 0x5b26b4d2, "trace_event_buffer_commit" },
	{ 0x6be27add, "ip_mc_inc_group" },
	{ 0x9a482177, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x1b2b7954, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "33687F450EB7128D7AB4B60");

MODULE_INFO(suserelease, "SLFO-1.2");
