#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x75c34e5d, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xb53f2ab3, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x6ce5b8c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0x92118511, "netdev_rx_handler_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf228fbf5, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e6c39f6, "gro_cells_init" },
	{ 0x4e3f95c2, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e31507d, "skb_copy" },
	{ 0x341b6a5, "consume_skb" },
	{ 0x4ef0e0bb, "skb_push" },
	{ 0x85f0bd89, "skb_put" },
	{ 0xa23e9836, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xed5baba4, "skb_to_sgvec" },
	{ 0xb48468c, "crypto_aead_encrypt" },
	{ 0xc30095f, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xddd6a345, "skb_clone" },
	{ 0xa96a6adf, "__netif_rx" },
	{ 0xef14cc28, "crypto_aead_decrypt" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7f150a5a, "__pskb_pull_tail" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbdafa92d, "netdev_rx_handler_unregister" },
	{ 0xd4c42349, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x48a07b8, "netif_carrier_off" },
	{ 0xc1aafaf4, "dev_mc_unsync" },
	{ 0x8a3683d8, "dev_uc_unsync" },
	{ 0x3d3941bb, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf58274c6, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4351d33d, "netif_carrier_on" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x81e8e424, "genlmsg_put" },
	{ 0xee022a64, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2164d02e, "rtnl_link_register" },
	{ 0x8b6747a7, "genl_register_family" },
	{ 0xa2115dbd, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x4684af75, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf6c16441, "crypto_alloc_aead" },
	{ 0xbaed1d17, "crypto_aead_setkey" },
	{ 0xf1de6971, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc8d6687c, "skb_pull" },
	{ 0x907644eb, "___pskb_trim" },
	{ 0xe88b6d62, "ether_setup" },
	{ 0xc833af2a, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x3aeba456, "dev_mc_sync" },
	{ 0x45a03d14, "dev_uc_sync" },
	{ 0xaca19efa, "dev_set_allmulti" },
	{ 0x15c629b5, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x77a5a393, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0x70d9baa9, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x42e28ad3, "eth_type_trans" },
	{ 0x12d4acbb, "gro_cells_receive" },
	{ 0x923e4695, "sk_skb_reason_drop" },
	{ 0x6ad7afb7, "__dev_get_by_index" },
	{ 0xa5cd0af3, "register_netdevice" },
	{ 0xf7989027, "netdev_upper_dev_link" },
	{ 0x61ccd7e2, "netdev_upper_dev_unlink" },
	{ 0xcdd8b86a, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xab6e1bfc, "metadata_dst_alloc" },
	{ 0x3733e257, "netif_stacked_transfer_operstate" },
	{ 0x67dee272, "linkwatch_fire_event" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C78414ACA870AFB19B161BC");

MODULE_INFO(suserelease, "SLFO-1.2");
