#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x14070826, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0x2ca04097, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef6890b8, "xhci_stop" },
	{ 0xeed95d16, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf21e0f06, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xd0214958, "xhci_suspend" },
	{ 0x195813a0, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd288cdad, "xhci_update_hub_device" },
	{ 0xa820a68d, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x87cae321, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xaa032294, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xa6767d55, "xhci_dbg_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xc8956f3c, "pci_unregister_driver" },
	{ 0x516adc6f, "__tracepoint_xhci_dbg_init" },
	{ 0x588191a6, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7721bdf3, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0xe677c9a8, "xhci_gen_setup" },
	{ 0x768c078a, "pci_read_config_byte" },
	{ 0x9d1077be, "pci_set_mwi" },
	{ 0x84766deb, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x7b8bc8a2, "xhci_resume" },
	{ 0x1d259c4d, "usb_enable_intel_xhci_ports" },
	{ 0xdff957d0, "__devm_reset_control_get" },
	{ 0x97b5f236, "usb_hcd_pci_probe" },
	{ 0x83866c93, "usb_create_shared_hcd" },
	{ 0x3010449b, "xhci_ext_cap_init" },
	{ 0xb3c44d8, "usb_add_hcd" },
	{ 0x2370068f, "pm_runtime_allow" },
	{ 0xec09ad42, "__pm_runtime_resume" },
	{ 0x889c7143, "pci_match_id" },
	{ 0xcded2785, "xhci_shutdown" },
	{ 0x6ef519f3, "usb_hcd_pci_shutdown" },
	{ 0x73c2ad0f, "usb_hcd_pci_pm_ops" },
	{ 0x3170fbf0, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x24f2fe57, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4201b160, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x43fd1e63, "pci_choose_state" },
	{ 0xfae73521, "usb_remove_hcd" },
	{ 0xa305da1a, "usb_put_hcd" },
	{ 0x4fc8c672, "usb_hcd_pci_remove" },
	{ 0x889c8d16, "pm_runtime_forbid" },
	{ 0x810b53c9, "__pm_runtime_idle" },
	{ 0x4c9bfa95, "pci_set_power_state" },
	{ 0xf3b2acef, "xhci_init_driver" },
	{ 0xb954a89d, "__pci_register_driver" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "27AFB3529A02C11D5CB42A9");

MODULE_INFO(suserelease, "SLFO-1.2");
