#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(taprio_offload_get, "_gpl", "");
KSYMTAB_FUNC(taprio_offload_free, "_gpl", "");

SYMBOL_CRC(taprio_offload_get, 0xa1b21d70, "_gpl");
SYMBOL_CRC(taprio_offload_free, 0xe17db4ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa164b294, "skb_copy_bits" },
	{ 0x7dfd4737, "netif_skb_features" },
	{ 0x6320a9a9, "__skb_gso_segment" },
	{ 0x341b6a5, "consume_skb" },
	{ 0x4c8c8716, "qdisc_tree_reduce_backlog" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4874a584, "kmalloc_caches" },
	{ 0x13abf42b, "__kmalloc_cache_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf69b934e, "netdev_reset_tc" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4a0823e0, "__netif_schedule" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xee022a64, "skb_trim" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x29a015f9, "mqprio_validate_qopt" },
	{ 0x3b1257b6, "netdev_set_num_tc" },
	{ 0xee24bb6d, "netdev_set_tc_queue" },
	{ 0x1426ca20, "qdisc_offload_query_caps" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8c06d285, "mqprio_qopt_reconstruct" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa59d46b5, "mqprio_fp_to_offload" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4a413171, "hrtimer_active" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2b55d724, "pfifo_qdisc_ops" },
	{ 0xf3bcb64, "qdisc_create_dflt" },
	{ 0xb50fa5ef, "qdisc_hash_add" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x797ef9e3, "gnet_stats_copy_basic" },
	{ 0x7223b550, "gnet_stats_copy_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9483191d, "register_qdisc" },
	{ 0xacd30dcb, "__ethtool_get_link_ksettings" },
	{ 0xee298b7d, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xa5616394, "qdisc_reset" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe61581c9, "unregister_qdisc" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc87159d8, "ethtool_dev_mm_supported" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe7df40e, "dev_activate" },
	{ 0x97f180d5, "dev_graft_qdisc" },
	{ 0xc69f8fce, "qdisc_put" },
	{ 0x7a22f9fd, "dev_deactivate" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "sch_mqprio_lib");


MODULE_INFO(srcversion, "B5576A4523D414697F4FB2D");

MODULE_INFO(suserelease, "SLFO-1.2");
