#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x0da2d02f, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x1051f680, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x3754afd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x931bef48, "put_device" },
	{ 0x49a07121, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xed7df8f5, "fwnode_gpiod_get_index" },
	{ 0x70b66ef3, "device_property_read_u32_array" },
	{ 0x41157f9b, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x1ac8e6c7, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x17cbb4fd, "devm_acpi_dev_add_driver_gpios" },
	{ 0x2eec2483, "devm_kfree" },
	{ 0xc9be46dc, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf47f1bfd, "cs_dsp_halo_init" },
	{ 0x8be7a72a, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x3af4ee77, "device_link_remove" },
	{ 0x4d39424a, "cs35l41_test_key_unlock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x514ca8e8, "cs35l41_test_key_lock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2121e1a4, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x7a741f1, "_dev_warn" },
	{ 0xcc49da35, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x185ba3a2, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x178abddc, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x21dafcc8, "devm_kasprintf" },
	{ 0x6ab13e38, "devm_regmap_add_irq_chip" },
	{ 0x35532dd5, "cs35l41_exit_hibernate" },
	{ 0x588125eb, "spi_setup" },
	{ 0x8d411e08, "regmap_read" },
	{ 0xb070c122, "cs_dsp_run" },
	{ 0xec09ad42, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x340ffbaa, "cs_amp_write_cal_coeffs" },
	{ 0x61a5b85e, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x815eb599, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x1b2c0358, "cs35l41_write_fs_errata" },
	{ 0x3732579a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x55c681cd, "cs35l41_configure_cs_dsp" },
	{ 0x3f6f6b56, "_dev_crit" },
	{ 0xc591708f, "regmap_update_bits_base" },
	{ 0x6d3c06c1, "dev_err_probe" },
	{ 0x249d5f6a, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x9d755aad, "__pm_runtime_suspend" },
	{ 0x3a2ae948, "component_add" },
	{ 0x5401976b, "__pm_runtime_use_autosuspend" },
	{ 0x2a546beb, "cs35l41_set_channels" },
	{ 0x54721046, "__pm_runtime_disable" },
	{ 0xe489b104, "device_link_add" },
	{ 0x41d4530e, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xc8b20226, "acpi_dev_get_first_match_dev" },
	{ 0x5a83c5bd, "gpiod_get_value_cansleep" },
	{ 0x8a465f26, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb651b8bf, "regcache_cache_only" },
	{ 0x84766deb, "is_acpi_device_node" },
	{ 0x89e5846, "gpiod_put" },
	{ 0x931baba4, "regcache_sync" },
	{ 0x1c61fd55, "regmap_write" },
	{ 0xd794601d, "devm_request_threaded_irq" },
	{ 0xfb36b499, "devm_kmalloc" },
	{ 0x5d98f0e2, "cs_amp_get_efi_calibration_data" },
	{ 0xa2f27260, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xb200bc00, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5b4d5b0b, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf4220d1, "cs_dsp_stop" },
	{ 0xcf0ab75, "pm_runtime_set_autosuspend_delay" },
	{ 0xee7fb852, "cs35l41_register_errata_patch" },
	{ 0x70ef5ade, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0xee02a289, "gpiod_get_index" },
	{ 0xc68b425c, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xc32e58db, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7046a2bf, "cs35l41_init_boost" },
	{ 0x4f7110c7, "cs35l41_enter_hibernate" },
	{ 0x1828e829, "get_device" },
	{ 0x3f6e50e3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0a6fc0f, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdda91316, "__pm_runtime_set_status" },
	{ 0xa4c72c04, "snd_ctl_new1" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x4c2b5bc1, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "71ADBBD01A91D6D9B97897E");

MODULE_INFO(suserelease, "SLFO-1.2");
